function c = const(p, c)
%PDERIV/CONST   Constant value derivative representation
%   C = CONST(P, C) is the derivative representation of the constant(s) C.
if p.n
    c = setdepth(pderiv(c, zeros([numel(p.p) size(c)])), p.n);
end
