function s = char(d)
%PDERIV/CHAR	Convert to a string

if ~isscalar(d)
    s = [join2str(@int2str, 'x', size(d)) ' pderiv<' int2str(pderiv_depth1(d)) '>'];
    return
end

s = num2str(d.v);
l = length(d);
if l
    if isobject(d.d)
        s = [s '['];
        for i = 1:l
            s = [s ' ' char(pderiv_d1(d, i))];
        end
        s = [s ' ]'];
    elseif l == 1
        s = [s '[' num2str(d.d) ']'];
    else
        s = [s mat2str(d.d')];
    end
end
