function z = map11(f, x, y)

if isscalar(x) || isscalar(y)
    z = f(x, y);
elseif isobject(x) || isobject(y)
    sx = size(x);
    sy = size(y);
    if length(sx) == 2 && sx(2) == 1
        x = repmat(x, [1 sy(2:end)]);
    elseif length(sy) == 2 && sy(2) == 1
        y = repmat(y, [1 sx(2:end)]);
    end
    z = f(x, y);
else
    z = bsxfun(f, x, y);
end
