function p = setdepth(p, n)
%PARAM_DERIV/SETDEPTH	Set the number of derivatives to compute.
%   P = SETDEPTH(P, N) sets a parameter set to compute exactly N levels of derivatives.
%       N=0: constant values only (no pderiv)
%       N=1: gradient
%       N=2: hessian
p.n = uint8(n);
