function y = erfc(x)
%PDERIV/ERFC	Complementary error function
% A version of ERF that's nice to you.
y = app(@derfc, x);

function [y dy] = derfc(x)
    y = erfc(x);
    dy = (-2/sqrt(pi)).*exp(-(x.*x));
