function n = numel(d, varargin)
%PDERIV/NUMEL	Returns 1
%   Use ELEMCOUNT or prod(size) instead

% subsref only works how we want if we return 1, but some matlab calls need it to behave correctly
caller = dbstack(1);
badguys = {'num2cell'};
if nargin == 1 && ~isempty(caller) && any(strcmp(caller(1).name, badguys))
    n = numel(d.v);
else
    n = 1;
end
