function d = repmat(d, varargin)
%PDERIV/REPMAT	Replicate pderiv array.

if nargin == 2
    in = varargin{1};
    if isscalar(in)
        in = [in in];
    end
    d.v = repmat(d.v, in);
    d.d = repmat(d.d, [1 in]);
else
    d.v = repmat(d.v, varargin{:});
    d.d = repmat(d.d, [1 varargin{:}]);
end

